[SATLUG] Nvidia + Flash + Firefox + (K)Ubuntu = Freeze

Samuel Leon leon36 at gmail.com
Tue Jan 8 09:39:26 CST 2008


Kase Saylor wrote:
>     
> 
>>>> check this site out.  It worked for me.
>>>> http://vntutor.blogspot.com/2007/12/why-ubuntu-gutsy-cant-play-flash-in.html
>>>> Todd
>>>>   
>>>>     
>>>>       
>>> Thanks for the link, but I actually haven't had any problems installing 
>>> the non-free Flash plugin. My problem is that there seems to be some 
>>> problems between the Nvidia driver and the Flash plugin.
>>>
>>> -Kase
>>>
>>>
>>>
>>>     
>> you might want to try it nevertheless as it seems that there is a
>> problem with the ubuntu version of the nonfree flash plugin that is not
>> immediately apparent when installing the plugin.  this is especially
>> true if you used synaptic to install.  On my system the problem
>> manifested itself almost exactly as you described and following the
>> link  fixed the problem.
>>
>> Todd
>>   
> Yes, this method fixed the problem. I did have to comment out some lines 
> in a apt file because of a md5sum error, but other than that I've had no 
> lock ups with flash. What's the difference between the non-free Nvidia 
> driver via apt and the driver straight from the Nvidia site? BTW, I also 
> loaded up PCLinuxOS last night and I was very impressed with it, too. I 
> guess I'll probably just end up going with the first distribution that 
> uses KDE4 ;-)
> 
> -Kase
> 
> 
> _________________________________________________________________
> Watch “Cause Effect,” a show about real people making a real difference.
> http://im.live.com/Messenger/IM/MTV/?source=text_watchcause-- 
> _______________________________________________
> SATLUG mailing list
> SATLUG at satlug.org
> http://alamo.satlug.org/mailman/listinfo/satlug to unsubscribe
> Powered by Rackspace (www.rackspace.com)


Well ubuntu is typically a 6 month old snapshot of debian unstable
http://www.debian.org/distrib/packages
So therefore the driver will be old too.  And debian rarely updates the 
nvidia drivers anyway.  Right now in ubuntu gutsy the nvidia-glx-new

http://www.nvidia.com/object/linux_display_ia32_100.14.19.html

is about 4 months old.  Nvidia-glx and nvida-glx-legacy

http://www.nvidia.com/object/linux_display_ia32_1.0-7185.html
http://www.nvidia.com/object/linux_display_ia32_1.0-9639.html

are both over 6 months old.

Flash is not that hard to install either,there is just one file in the 
tar file.  You can download the tar file from:
http://www.adobe.com/go/getflashplayer

And copy libflashplayer.so to /usr/lib/mozilla/plugins/, I think.  If 
not try the other firefox directories:
/usr/lib/mozilla-firefox/plugins/
/usr/lib/firefox/plugins/

That cksum error with the flash installer deb has been messing with all 
the ubuntu versions since December.  I don't know why they haven't fixed 
it yet.  But that won't make it lock up, just not install.

Sam



More information about the SATLUG mailing list